package stftr.protocols.Player;

import appia.*;
import stftr.player.GameBoardComponent;

public class PlayerLayer extends Layer {
    GameBoardComponent boardComponent;

    public PlayerLayer(GameBoardComponent boardComponent) {
        this.boardComponent=boardComponent;

        evProvide=new Class[2];
        evRequire=new Class[0];
        evAccept=new Class[5];

        evProvide[0]=appia.protocols.udpsimple.RegisterSocketEvent.class;
        evProvide[1]=stftr.protocols.events.ActionEvent.class;

        evAccept[0]=appia.events.channel.ChannelInit.class;
        evAccept[1]=stftr.protocols.events.AddedPlayerEvent.class;
        evAccept[2]=stftr.protocols.events.KilledPlayerEvent.class;
        evAccept[3]=stftr.protocols.events.BoardEvent.class;
        evAccept[4]=appia.protocols.tcpcomplete.TcpUndeliveredEvent.class;
    }

    public Session createSession() {
        return new PlayerSession(this, boardComponent);
    }
}