package stftr.protocols.events;

import appia.*;
import appia.events.SendableEvent;
import appia.protocols.group.events.ObjectsMessage;

public class AddedPlayerEvent extends SendableEvent {
    private Integer playerID;

    public AddedPlayerEvent() {
        super(new ObjectsMessage());
        playerID=null;
    }

    public AddedPlayerEvent(Integer playerID, Channel c, Direction d, Session s) throws AppiaEventException {
        super(c, d, s, new ObjectsMessage());
        ((ObjectsMessage) message).push(playerID);

        this.playerID=playerID;
    }

    public Integer getPlayerID() {
        if (playerID==null)
            playerID=(Integer) ((ObjectsMessage) message).pop();

        return playerID;
    }
}