package stftr.protocols.events;

import appia.*;
import appia.protocols.group.events.ObjectsMessage;

public class RemovePlayerEvent extends ActionEvent {
    private Integer playerID;

    public RemovePlayerEvent() {
        playerID=null;
    }

    public RemovePlayerEvent(Integer playerID, Channel c, Direction d, Session s) throws AppiaEventException {
        super(c, d, s);
        ((ObjectsMessage) message).push(playerID);

        playerID=playerID;
    }

    public Integer getPlayerID() {
        if (playerID==null)
            playerID=(Integer) ((ObjectsMessage) message).pop();

        return playerID;
    }
}