package stftr.protocols.Game;

import appia.*;
import appia.events.*;
import stftr.server.GameServer;

public class GameLayer extends Layer {
    GameServer gameServer;
    int port;
    
    public GameLayer(GameServer gameServer, int port) {
        evProvide=new Class[4];
        evRequire=new Class[0];
        evAccept=new Class[2];
        
        evProvide[0]=appia.protocols.udpsimple.RegisterSocketEvent.class;
        evProvide[1]=stftr.protocols.events.BoardEvent.class;
        evProvide[2]=stftr.protocols.events.AddedPlayerEvent.class;
        evProvide[3]=stftr.protocols.events.KilledPlayerEvent.class;
        
        evAccept[0]=appia.events.channel.ChannelInit.class;
        evAccept[1]=stftr.protocols.events.ActionEvent.class;
        
        this.gameServer=gameServer;
        this.port=port;
    }
    
    public Session createSession() {
        return new GameSession(this, gameServer, port);
    }
}